Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.output.common
Class ErrorReporter

    java.lang.Object
      convert.relaxng.output.common.ErrorReporter

    public class ErrorReporter

extends java.lang.Object

Nested Class Summary
`static class` | `ErrorReporter.WrappedSAXException`

Constructor Summary
`ErrorReporter(org.xml.sax.ErrorHandler eh, java.lang.Class cls)`

Method Summary
`void` | `error(java.lang.String key, SourceLocation loc)`
`void` | `error(java.lang.String key, java.lang.String arg, SourceLocation loc)`
`void` | `error(java.lang.String key, java.lang.String arg1, java.lang.String arg2, SourceLocation loc)`
`boolean` | `getHadError()`
`Localizer` | `getLocalizer()`
`void` | `warning(java.lang.String key, SourceLocation loc)`
`void` | `warning(java.lang.String key, java.lang.String arg, SourceLocation loc)`
`void` | `warning(java.lang.String key, java.lang.String arg1, java.lang.String arg2, SourceLocation loc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorReporter

    public ErrorReporter(org.xml.sax.ErrorHandler eh,
                         java.lang.Class cls)

Method Detail

### error

    public void error(java.lang.String key,
                      SourceLocation loc)

### error

    public void error(java.lang.String key,
                      java.lang.String arg,
                      SourceLocation loc)

### error

    public void error(java.lang.String key,
                      java.lang.String arg1,
                      java.lang.String arg2,
                      SourceLocation loc)

### warning

    public void warning(java.lang.String key,
                        SourceLocation loc)

### warning

    public void warning(java.lang.String key,
                        java.lang.String arg,
                        SourceLocation loc)

### warning

    public void warning(java.lang.String key,
                        java.lang.String arg1,
                        java.lang.String arg2,
                        SourceLocation loc)

### getHadError

    public boolean getHadError()

### getLocalizer

    public Localizer getLocalizer()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD